Index: /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 142)
@@ -3,49 +3,46 @@
 ;------------------------------------------------------------
 ;+
-; NAME:projectondepth
 ;
-; PURPOSE: routine permettant de projeter un champ 3d suivant un
-; tableau de profondeurs.
+; @file_comments
+; Allows to project a 3d field following a depth array.
 ;
-; CATEGORY: sans boucles
+; @categories
+; without loop
 ;
-; CALLING SEQUENCE:res=projectondepth(arrayin, depthin)
+; @param ARRAYIN 
+; It is a 3d array whose 3rd dimension must be equal to jpk
 ; 
-; INPUTS:
-;       arrayin: un tableau 3d dont la 3eme dimension doit etre egale
-;       a jpk
-;       depthin: un tableau 2d indiquant n chaque point a quel
-;       profondeur projeter
+; @param DEPTHIN 
+; It is a 2d array indicating for each point n, at which depth to project
 ;       
-; KEYWORD PARAMETERS:none
+; @returns
+; A 2d array which is the projection of the 3d array following depthes indicated by depthin
 ;
-; OUTPUTS:res: un tableau 2d projection du tableau 3d suivant les
-; profondeurs indiquees par depthin
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:common.pro
+; @restrictions 
+; points at !values.f_nan impossible calculation. Land points masked at valmask.
 ;
-; SIDE EFFECTS: points a !values.f_nan qd calcul impossible. points
-; terres masques a Valmask.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; on contruit un tableau de profondeurs possibles
+; @examples
+; we build a possible depthes array
 ;   IDL> a=gdept[jpk-1]/(1.*jpi*jpj)*findgen(jpi,jpj)
-; on contruit un tableau a projeter sur ces profondeurs. pour le test
-; on construit un tableau 3d dont chaque vecteur suivant z est la
-; profondeur. 
+; We build an array to project on these depthes. For the test,
+; we build a 3d array whose each vector following z is the depth. 
 ;   IDL> arraytest=replicate(1,jpi*jpj)#gdept
 ;   IDL> arraytest=reform(arraytest,jpi,jpj,jpk, /over)
-; on test la projection du tabeau profondeur sur la profondeur...
+; We test the projection of the depth array on the depth...
 ;   IDL> plt, 1e6*(a-projectondepth(arraytest,a)),/nocontour
-;   ->champ nul a 1e-6 pres
+;   ->null field at 1e-6 pres
 ; 
-;  verifcation en projettant la temperature sur la profondeur de la 20
-;  degres par exemple...
+;  verifcation projecting the temperature of 20°C for example...
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      15/6/2000
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -56,16 +53,15 @@
   compile_opt idl2, strictarrsubs
 ;
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; To key_performance
 @common
 ;------------------------------------------------------------
    depth = litchamp(depthin)
    array = litchamp(arrayin)
-; petites verifications
+; Small verifications
    tailledepth = size(depth)
    taillearray = size(array)
    if tailledepth[0] NE 2 THEN return, report('Depth array must have 2 dimensions')
    if taillearray[0] NE 3 THEN return, report('Array in must have 3 dimensions')
-; verification de la coherence entre la taille du tableau et le
-; domaine 
+; verification of the coherence between array's size and the domain 
    grille, mask, -1, -1, -1,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
    case 1 of
@@ -84,8 +80,8 @@
 ;
    flevel = depth2floatlevel(depth)
-; on vire les points a !values.f_nan
+; we delete points at !values.f_nan
    notanumber = where(finite(flevel, /nan) EQ 1)
    if notanumber[0] NE -1 then flevel[notanumber] = 0
-; on seuil (vire les points terres a valmask par ex)
+; we sill (delete land points at valmask for example)
    flevel = 0 > flevel < (jpk-1)
 ;
@@ -99,8 +95,8 @@
    res = res+weight*(array[indexlow]-res)
 ;
-; on replace les points a !values.f_nan
+; We put back points at !values.f_nan
    if notanumber[0] NE -1 then res[notanumber] = !values.f_nan
    if out[0] NE -1 then res[out] = !values.f_nan
-; on masque les points terres a valmask
+; We mask land points at valmask
    if n_elements(valmask) EQ 0 then valmask = 1e20
    terre = where((temporary(mask))[*, *, 0] EQ 0)
Index: /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 142)
@@ -14,4 +14,6 @@
 ;    and stays at !values.f_nan.
 ;
+;
+; @todo seb
 ;
 ;-
Index: /trunk/SRC/ToBeReviewed/CALCULS/rhon.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 142)
@@ -7,4 +7,7 @@
    ;; par seb.
    ;;
+;
+; @todo seb
+;
 ;-
 FUNCTION rhon, sn, tn, INSITU = insitu, SIGMA_N = sigma_n
Index: /trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 function changegrid, newgrid
 ;
Index: /trunk/SRC/ToBeReviewed/GRILLE/cmpgrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/cmpgrid.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/cmpgrid.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 FUNCTION cmpgrid, newgrid
 ;
Index: /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 142)
@@ -3,45 +3,42 @@
 ;------------------------------------------------------------
 ;+
-; NAME:decoupeterre
-;
-; PURPOSE:tres semblable a grille. Ici qd vargrid ne 'T' ou 'W' alors
-; pour le trace il faut recuperer Tmask, glamt, gphit et le tableau de
-; triangulation sur le sous domaine considere. La specificite de
-; decoupeterre par rapport a grille, c''est que l''on prend ds la
-; mesure du possible un sous domaine juste un peu plus grand que celui
-; definit par domdef de facon a etre sur que le masque que l''on trace
-; recouvrira bien tout le dessin.
-;
-; CATEGORY:pour plt
-;
-; CALLING SEQUENCE:decoupeterre, mask, glam, gphi, z, nx, ny, nz, TRI = tri
-;
-; INPUTS:
-;
-; KEYWORD PARAMETERS:
-;         TRI si ce mot clef sert a obtenir grace a grille la
-;         triangulation qui se rapporte a la grille mais uniquement
-;         sur la partie du zoom. ce tableau de triangulation reduit
-;         est passe ds la variable que l''on a egalee a tri.par ex:
-;         grille,...,tri=triangulation_reduite. ne mot clef est
-;         utilise dans plt.pro
-;
-;         /WDEPTH: to specify that the field is at W depth instad of T 
-;         depth (automatically activated if vargrid eq 'W')
-;
-;
-; OUTPUTS:le masque et ses coordonnees
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @file_comments
+; Similar to grille. Here, when vargrid is not 'T' or 'W', we have to
+; recuperate Tmask, glamt, gphit and the array of triangulation on the
+; considerated subdomain for the drawing. The specificity of decoupeterre
+; in comparaison with grille, is that we take, if possible, a subdomain
+; just a little bit bigger than the one defined by domdef in order to be
+; sure that the mask we draw will cover over all the drawing.
+;
+; @categories
+; utilities
+;
+; @keyword TRI 
+; This keyword serve to obtain, thanks to grille, the triangulation which
+; refer to the grid but only on the part of the zoom. This of triangulation
+; is passed in the variable we have equate at TRI.
+; For example: grille,...,tri=triangulation_reduite.
+; This keyword is used in plt.pro
+;
+; @keyword WDEPTH
+; To specify that the field is at W depth instad of T 
+; depth (automatically activated if vargrid eq 'W')
+;
+; @uses
+; common.pro
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       24/2/99
+;
+; @version
+; $Id$
+;
+; @todo seb : manque tous les param et plein de keywords.
+;
+;
+;
+;
 ;-
 ;------------------------------------------------------------
@@ -59,5 +56,5 @@
   ENDIF
 ;---------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; For key_performance
 ;------------------------------------------------------------
   if vargrid EQ 'W' then wdepth = 1
@@ -252,16 +249,14 @@
   ENDELSE
 ;------------------------------------------------------------
-; vecteur triangulation Qd TRI est active
+; Triangulation vector when TRI is activated.
 ;------------------------------------------------------------
   IF arg_present(TRI) then $
     if triangles_list[0] EQ -1 OR usetri LT 1 then tri = -1 ELSE BEGIN
-; si on est en train de tracer un niveau profond on refait la
-; triangulation
+; If we are tracing a deep level, we redo the triangulation
     if keyword_set(profond) then begin
       tri = triangule(mask, coinmonte = coinmonte, coindescend = coindescend, _extra = ex)
       indicezoom = (lindgen(jpi, jpj))[firstx:lastx, firsty:lasty]
-    ENDIF ELSE BEGIN 
-; sinon on recupere la partie de triangulation qui nous interesse et
-; on la numerote convenablement!
+  ENDIF ELSE BEGIN 
+; Otherwise, we recuperate the part of triangulation that interest us and we number them well!!
       if nx EQ jpi AND ny EQ jpj then tri = triangles_list ELSE BEGIN 
         msk = bytarr(jpi, jpj)
Index: /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 142)
@@ -3,62 +3,75 @@
 ;------------------------------------------------------------
 ;+
-; NAME: DOMDEF
-;
-; PURPOSE:permet d'extraire un sous domaine d'etude en fournissant les
-; parametres necessaires pour les traces. (cf. outputs)
-;
-; CATEGORY:
-;
-; CALLING SEQUENCE:domdef [,lon1, lon2, lat1, lat2[,vert1,vert2]] ou
-;             bien domdef,vecteur
-;
-; INPUTS:(facultatif), [vecteur a] 2, 4 ou 6 elements:;
-; sans l''utilisation des mots cles index,xindex,yindex,zindex:
-; *vert1, vert2: pour un domaine 3D dont la partie horizontale couvre tout
-;  glam et gphi
-; *lon1, lon2, lat1, lat2:
-; definissant les longitudes min. max et les latitudes min, max du  domaine a
-; etudier (tous les niveaux sont selectiones)
-; *lon1,lon2,lat1,lat2,vert1,vert2 pour specifier les profondeurs.
-;
-; KEYWORD PARAMETERS:
-;
-;       ENDPOINTS: a four elements vector [x1,y1,x2,y2] used to specify
-;       that domdef must define the box used to make a plot (pltz, pltt,
-;       plt1d) done strictly along the line (that can have any direction)
-;       starting at (x1, y1) ending at (x2, y2). When defining endpoints,
-;       you must also define TYPE which define the type of plots
-;       ('pltz', 'xt', 'yt', 'zt', 'x', 'y', 'z', 't') will used
-;       ENDPOINTS keywords
-;
-;       FINDALWAYS:oblige a redefinir une boite meme qd auqun point
-;       n''est trouve ds la boite. dans ce cas on selectionne toute la
-;       grille.
-;
-;	GRIDTYPE:un string ou un vecteur de string contennant le nom des
-;	grilles (determinees uniquement par : 'T','U','V','W','F') pour
-;	lesquelles le calcul doit etre fait. par
-;	ex :'T' ou ['T','U']
-;
-;       /MEMEINDICES: il se peut que les points t,u,v et F correspondant a
-;       une meme boite geographique ne concernent pas les memes
-;       indices des tableaux. Ceci pose parfois de pb (ou du moins de
-;       serieuses complications) ds les programmes ou plusieurs types
-;       de grilles interviennent (cf.: norme, curl...). Activer
-;       MEMEINDICES pour forcer domdef a prendre les memes indices -ceux
-;       de la grille T- pour toutes les autres grilles.
-;
-;       /INDEX: activer si on veut specifier que tous les elements
-;       passes en entree de domdef se rapportent aux indices des
-;       tableaux glam, gphi et gdep plutot qu'aux valeurs de ces
-;       tableaux
-;
-;       /xindex: activer si on veut que les elements passes en entrre
-;       de domdef et concernant la dimension en x se rapportent aux
-;       indices des tableaux glam qu'aux valeurs de ces tableaux.
-;
-;       /yindex: cf xindex mais pour y et les gphi
-;
-;       /zindex: cf xindex mais pour z et les gdep
+;
+; @file_comments 
+; Allows to extract a subdomain of study by providing parameters 
+; needed for drawings (see outputs)
+;
+; @categories
+;
+; @param Z1 {in}{optional}
+; For a 3d domain whose the horizontal part cover all glam
+; 
+; @param Z2 {in}{optional}
+; For a 3d domain whose the horizontal part cover all gphi
+;
+; @param X1 {in}{optional}
+; Define the minimum longitude. (All levels are selected)
+;
+; @param X2 {in}{optional}
+; Define the maximum longitude. (All levels are selected)
+;
+; @param Y1 {in}{optional}
+; Define the minimum latitude. (All levels are selected)
+;
+; @param Y2 {in}{optional}
+; Define the maximum latitude. (All levels are selected)
+;
+; @keyword ENDPOINTS
+; A four elements vector [x1,y1,x2,y2] used to specify
+; that domdef must define the box used to make a plot (pltz, pltt,
+; plt1d) done strictly along the line (that can have any direction)
+; starting at (x1, y1) ending at (x2, y2). When defining endpoints,
+; you must also define TYPE which define the type of plots
+; ('pltz', 'xt', 'yt', 'zt', 'x', 'y', 'z', 't') will used
+; ENDPOINTS keywords
+;
+; @keyword FINDALWAYS
+; Force to redefine a box even when none point is find in the box. 
+; In this case, we select all the grid.
+;
+; @keyword GRIDTYPE
+; It is a string or a vector of strings containing the grids's name 
+; (Only determinated by 'T','U','V','W','F') for which the calculation 
+; must be done. 
+;  For example: 'T' ou ['T','U']
+;
+; @keyword MEMEINDICES
+; It is possible that points t,u,v and F correspond to a same geographic
+; box which do not concern the same array indexes. This is sometimes a
+; problem (or at least serious complications) in programs where several
+; type of grid interven (see norme, curl...). Activate MEMEINDICE to
+; force domdef to take same indexes -those of the grid T- for all other
+; grids.
+;
+; @keyword INDEX 
+; We activate it if we want that all elements passed in input of domdef 
+; refer to indexes of glam, gphi and gdep arrays rather than to values 
+; of these arrays.
+;
+; @keyword XINDEX 
+; We activate it if we want that all elements passed in input of domdef 
+; and concerning the X dimension refer to indexes of glam arrays rather 
+; than to values of these arrays.
+;
+; @keyword YINDEX 
+; We activate it if we want that all elements passed in input of domdef 
+; and concerning the X dimension refer to indexes of gphi arrays rather 
+; than to values of these arrays.
+; 
+; @keyword ZINDEX 
+; We activate it if we want that all elements passed in input of domdef 
+; and concerning the X dimension refer to indexes of gdep arrays rather 
+; than to values of these arrays.
 ;
 ; OUTPUTS:on recupere pour les 4 grilles t,u,v,f
@@ -82,16 +95,17 @@
 ;   suivant z
 ;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @uses
+; common.pro
+;
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;			8/2/98
 ; rewrite everything, debug and spee-up Sebastien Masson April 2005
+;
+; @version
+; $Id$
+;
+; @todo seb: output pas clair/ pas d'input required?
 ;-
 ;------------------------------------------------------------
@@ -114,5 +128,5 @@
   ENDIF
 ;---------------------
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; For key_performance
 ;
   CASE N_PARAMS() OF
Index: /trunk/SRC/ToBeReviewed/GRILLE/f2v.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 142)
@@ -3,33 +3,37 @@
 ;------------------------------------------------------------
 ;+
-; NAME:f2v
 ;
-; PURPOSE:permet de passer un champs se rapportant a la grille F sur
-; la grille V, grace a la moyenne: res = 0.5*(res + shift(res, 1, 0))
-;      
+; @file_comments
+; Allows to pass a field refering to the grid F on the grid V, 
+; thanks to the average: 
+; res = 0.5*(res + shift(res, 1, 0))    
 ;
-; CATEGORY:grille
+; @categories 
+; Grille
 ;
-; CALLING SEQUENCE:res=f2v(tab)
-; 
-; INPUTS:tab, un tableau 2, 3 ou 4d
+; @param TEMP {in}{required}
+; A 2, 3 or 4d array
 ;
-; KEYWORD PARAMETERS:
+; @returns
+; res, a 2, 3 or 4d array
 ;
-; OUTPUTS:res, un tableau 2, 3 ou 4d
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:common.pro
+; @restrictions 
+; Force parameters of the zoom on the grid V to be the same as 
+; those on the grid T.
 ;
-; SIDE EFFECTS:force les parametres du zoom sur la grille V a etre
-; les memes que ceux sur la grille T.
+; @restrictions 
+; Points which can not be calculated are put at the value NaN 
+; consecrated by IDL: !values.f_nan
 ;
-; RESTRICTIONS:les points qui ne peuvent etre calcules sont mis a la
-; valeur NaN consacree par IDL: !values.f_nan
+; @history
+; From Marina Levy's programs
+; Sebastien Masson (smasson@lodyc.jussieu.fr):
+; Validation. 5/6/2000
 ;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:a partir des programmes de Marina Levy
-;                      Sebastien Masson (smasson@lodyc.jussieu.fr):
-;                      inspection des traveuax finis. 5/6/2000
+; @version
+; $Id$
 ;
 ;-
@@ -50,5 +54,5 @@
 ;---------------------------------------------------------
    res = temp
-;on force nxt=nxf, etc ...
+;We force nxt=nxf, etc ...
    firstxv = firstxf
    lastxv = lastxf
@@ -62,5 +66,5 @@
    lon2 = glamf[lastxf, 0]
 
-; cas sur la taille du tableau et application 
+; case on tha array's size and application
    taille = size(temp)
    CASE taille[0] OF 
Index: /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 142)
@@ -3,21 +3,25 @@
 ;------------------------------------------------------------
 ;+
-; NAME:fmask
 ;
-; PURPOSE:calcule fmask
+; @file_comments
+; calculate fmask. Economize memory (we do not need to keep fmask anymore)
 ;
-; CATEGORY:fonction economisatrice de memoire (plus besion de garder
-; fmask)  
+; @categories
+; Utilities
 ;
-; CALLING SEQUENCE:res=fmask()
+; @returns
+; A 3d array corresponding to fmask.
 ;
-; OUTPUTS:un tableau 3d correspondant a fmask
+; @examples
+; Used like if fmask was a known array by substituing fmask by (fmask())
+; For example: Instaed of write fmask[domainef] we have to write (fmask())[domainef]
 ;
-; EXAMPLE:s''utilise comme si fmask etait un tableau connu en
-; replacant ds la syntaxe fmask par (fmask()). par ex:
-; au lieu de taper fmask[domainef] il faut taper (fmask())[domainef]
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       11/12/98
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       11/12/98
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -34,5 +38,5 @@
   ENDIF
 ;---------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; For key_performance
 ; 
   CASE size(tmask, /n_dimensions) OF
Index: /trunk/SRC/ToBeReviewed/GRILLE/grille.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 142)
@@ -3,58 +3,108 @@
 ;------------------------------------------------------------
 ;+
-; NAME:grille
-;
-; PURPOSE: choisit la grille qui doit etre utilisee pour faire le graphe en
-; fonction de vargrid et renvoie les parametres correspondants calcules ds
-; domdef.pro et reduit au domaine definit par domdef (contrairement a
-; grandegrille.pro)
-;
-; CATEGORY:
-;
-; CALLING SEQUENCE:
-;  grille,mask,glam,gphi,gdep,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz,e1,e2,e3
-;
-; INPUTS:rien. ATTENTION les choix de la grille se fait a partir de la
-; valeur de la variable globale vargrid, qui peut etre egale a 'T',
-; 'U', 'V', 'W' ou 'F'.
-;
-; KEYWORD PARAMETERS:
-;         TRI si ce mot clef sert a obtenir grace a grille la
-;         triangulation qui se rapporte a la grille mais uniquement
-;         sur la partie du zoom. ce tableau de triangulation reduit
-;         est passe ds la variable que l''on a egalee a tri.par ex:
-;         grille,...,tri=triangulation_reduite. ne mot clef est
-;         utilise dans plt.pro
-;
-;         /FORPLT: ds plt on veut que sur les points terres, glam et
-;         gphi soit egale a glamt et gphit quelle que soit la grille.
-;
-;         /NOTRI: utile seulement qd TRI est active. dans ce cas
-;         grille retourne -1 ds la variable tri meme si la variable du
-;         common triangles_list est definie et differente de -1
-;
-;         /WDEPTH: to specify that the field is at W depth instad of T 
-;         depth (automatically activated if vargrid eq 'W')
-;
-; OUTPUTS:mask,glam,gphi,gdep,nx,ny,nz,firstx,firsty,firstz,
-;         lastx,lasty,lastz,e1,e2,e3
-;
-;         pour leur definition cf domdef et la gestion des sous
-;         domaines sur le web
-;
-;         Rq: ces outputs sont optionnels, si je veux recuperer que
-;         mask, glam et gphi il suffit de taper grille, mask, glam, gphi
-;
-; COMMON BLOCKS: cm_4mesh and cm_4data
-;
-; SIDE EFFECTS: utilise la variable globale vargird
-;
-; RESTRICTIONS: vargrid doit etre 'T', 'W', 'U', 'V' ou 'F'
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @file_comments
+; Choose the grid which must be used to do the graph in function of
+; vargrid and send back corresponding parameters calculated in
+; domdef.pro and reduced at the domain defined by domdef (contrarily
+; to grandegrille.pro)
+; BEWARE!! The choice of the grid is made from the value of the 
+; global variable vargrid, which can be equal to 'T', 'U', 'V', 'W' ou 'F'.
+;
+; @categories
+;
+; @keyword TRI 
+; This keyword serve to obtain, thanks to grille, the triangulation which
+; refer to the grid but only on the part of the zoom. This of triangulation
+; is passed in the variable we have equate at TRI.
+; For example: grille,...,tri=triangulation_reduite.
+; This keyword is used in plt.pro
+;
+; @keyword WDEPTH
+; To specify that the field is at W depth instad of T 
+; depth (automatically activated if vargrid eq 'W')
+; 
+; @keyword FORPLT
+; In plt, we want that land points, glam and gphi, be equal to glamt and 
+; gphit regardless of the grid.
+;
+; @keyword NOTRI
+; Useful only when TRI is activated. In this case, grill send back -1 in the 
+; variable tri even if the variable of the common triangles_list is defined 
+; and different of-1
+; 
+; @keyword _EXTRA 
+; Used to pass your keywords
+;
+; @keyword TOUT
+;
+; @param MASK {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  GLAM {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  GPHI {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  GDEP {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  NX {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  NY {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  NZ {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  FIRSTX {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  FIRSTY {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  FIRSTZ {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+;         
+; @param LASTX {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  LASTY {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  LASTZ {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  E1 {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+;
+; @param  E2 {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+; 
+; @param  E3 {out}{optional}
+; For the definition, see domdef and the management of subdomains on the web.
+;
+; @uses
+; cm_4mesh 
+; cm_4data
+;
+; @restrictions 
+; Use the variable vargrid
+;
+; @restrictions
+; Vargrid must be 'T', 'W', 'U', 'V' ou 'F'
+;
+; @history
+;  Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;			12/2/1999
 ;                       10/11/1999 /forplt
+;
+; @version
+; $Id$ 
+;
+; @todo Comment ecrire la remarque sur les inputs?
+; 
 ;-
 ;------------------------------------------------------------
@@ -73,5 +123,5 @@
   ENDIF
 ;---------------------
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; For key_performance
 ;------------------------------------------------------------
   vargrid = strupcase(strmid(vargrid,0,/reverse_offset))
@@ -83,5 +133,5 @@
     domdef, gridtype = vargrid, _EXTRA = ex
   endif
-  tempdeux = systime(1)         ; pour key_performance =2
+  tempdeux = systime(1)         ; For key_performance =2
 ;------------------------------------------------------------
 ;------------------------------------------------------------
@@ -99,8 +149,8 @@
   CASE 1 OF 
 ;------------------------------------------------------------
-; grille T and W
+; grid T and W
 ;------------------------------------------------------------
     vargrid eq 'T' OR vargrid eq 'W' : begin
-;scalaires
+;scalars
       nx = nxt
       ny = nyt
@@ -109,18 +159,18 @@
       lastx = lastxt
       lasty = lastyt
-;vecteurs 2d
+;2d vectors
       IF arg_present(glam) THEN glam = glamt[firstx:lastx, firsty:lasty]
       IF arg_present(gphi) THEN gphi = gphit[firstx:lastx, firsty:lasty]
       IF arg_present(e1) THEN e1 = e1t[firstx:lastx, firsty:lasty]
       IF arg_present(e2) THEN e2 = e2t[firstx:lastx, firsty:lasty]
-;vecteurs 3d
+;3d vectors 
       IF keyword_set(forplt) THEN mask = tmask[firstx:lastx, firsty:lasty, firstz] $
       ELSE IF arg_present(mask) THEN mask = tmask[firstx:lastx, firsty:lasty, firstz:lastz]
     end
 ;------------------------------------------------------------
-; grille U
+; grid U
 ;------------------------------------------------------------
     vargrid eq 'U': begin
-;scalaires
+;scalars
       nx = nxu
       ny = nyu
@@ -129,5 +179,5 @@
       lastx = lastxu
       lasty = lastyu
-;vecteurs 2d
+;2d vectors
       IF arg_present(glam) THEN glam = glamu[firstx:lastx, firsty:lasty]
       IF arg_present(gphi) THEN gphi = gphiu[firstx:lastx, firsty:lasty]
@@ -163,14 +213,14 @@
       IF arg_present(e1) THEN e1  = e1u[firstx:lastx, firsty:lasty]
       IF arg_present(e2) THEN e2  = e2u[firstx:lastx, firsty:lasty]
-;vecteurs 3d
+;3d vectors
       IF keyword_set(forplt) THEN mask = (umask())[firstx:lastx, firsty:lasty, firstz] $
       ELSE IF arg_present(mask) THEN mask = (umask())[firstx:lastx, firsty:lasty, firstz:lastz]
     end
 ;------------------------------------------------------------
-; grille V
+; grid V
 ;------------------------------------------------------------
     vargrid eq 'OPAPTDHV' or vargrid eq 'OPAPT3DV' $
       or vargrid eq 'V': begin
-;scalaires
+;scalars
       nx = nxv
       ny = nyv
@@ -179,5 +229,5 @@
       lastx = lastxv
       lasty = lastyv
-;vecteurs 2d
+;2d vectors
       IF arg_present(glam) THEN glam = glamv[firstx:lastx, firsty:lasty]
       IF arg_present(gphi) THEN gphi = gphiv[firstx:lastx, firsty:lasty]
@@ -213,14 +263,14 @@
       IF arg_present(e1) THEN e1  = e1v[firstx:lastx, firsty:lasty]
       IF arg_present(e2) THEN e2  = e2v[firstx:lastx, firsty:lasty]
-;vecteurs 3d
+;3d vecteurs
       IF keyword_set(forplt) THEN mask = (vmask())[firstx:lastx, firsty:lasty, firstz] $
       ELSE IF arg_present(mask) THEN mask = (vmask())[firstx:lastx, firsty:lasty, firstz:lastz]
     end
 ;------------------------------------------------------------
-; grille F
+; grid F
 ;------------------------------------------------------------
     vargrid eq 'OPAPTDHF' or vargrid eq 'OPAPT3DF' $ 
       or vargrid eq 'F': begin
-;scalaires
+;scalars
       nx = nxf
       ny = nyf
@@ -229,5 +279,5 @@
       lastx = lastxf
       lasty = lastyf
-;vecteurs 2d
+;2d vectors
       IF arg_present(glam) THEN glam = glamf[firstx:lastx, firsty:lasty]
       IF arg_present(gphi) THEN gphi = gphif[firstx:lastx, firsty:lasty]
@@ -273,5 +323,5 @@
       IF arg_present(e1) THEN e1  = e1f[firstx:lastx, firsty:lasty]
       IF arg_present(e2) THEN e2  = e2f[firstx:lastx, firsty:lasty]
-;vecteurs 3d
+;3d vectors 
       IF keyword_set(forplt) THEN mask = (fmask())[firstx:lastx, firsty:lasty, firstz] $
       ELSE IF arg_present(mask) THEN mask = (fmask())[firstx:lastx, firsty:lasty, firstz:lastz]
@@ -289,11 +339,11 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; Variables se rapportant a la dimension verticale
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-;
-;
-  tempdeux = systime(1)         ; pour key_performance =2
+; Variables refering to the vertical dimension
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;
+;
+  tempdeux = systime(1)         ; For key_performance =2
   if keyword_set(wdepth) then begin
     gdep = gdepw[firstz:lastz]
@@ -340,5 +390,5 @@
     print, 'temps grille: Variables se rapportant a la dimension verticale ', systime(1)-tempdeux
 ;------------------------------------------------------------
-; vecteur triangulation Qd TRI est active
+; Triangulation vector when TRI is activated.
 ;------------------------------------------------------------
   if arg_present(TRI) then $
@@ -356,6 +406,6 @@
   ENDELSE
 ;------------------------------------------------------------------
-; pour s'assurer qu'il n'y a pas de dimension degenerees (=1)
-;-------------------------------------------------------------------
+; To make sure there is not any degenerated dimension (=1)
+;------------------------------------------------------------------
 ;    mask=reform(mask, /over)
 ;    glam=reform(glam, /over)
